:root {
  --home-section-link-padding: 36px;
  --section-padding: 64px;
}

/* Hero Section */

.hero {
  display: block;
  width: 100%;
  height: 75vh;
  max-height: 494px;
  background: var(--background);
  background-position: center center;
  background-size: cover;
}
.home_splide .splide:not(.is-overflow) .splide__pagination {
    display: flex;
    bottom: 2.5em;
}
.home_splide .splide__pagination__page {
    width: 10px !important;
    height: 10px !important;
}
.wrapper-hero-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  max-width: 1440px;
  height: 100%;
  margin: 0 auto;
  padding: 0 var(--section-padding);
}

.hero__text {
  max-width: max-content;
  padding: 2px 3px;
  font-size: clamp(1.4rem, 3vw, 1.8rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  color: var(--secondary-color);
  background-color: var(--gray400);
  text-transform: uppercase;
}

.hero__title {
  font-size: clamp(2.4rem, 5vw, 4.5rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 700;
  color: #fff;
  text-transform: uppercase;
}

.hero__title span {
  display: block;
  max-width: max-content;
  margin-top: 4px;
  padding: 2px 6px;
  background-color: var(--primary-color);
}

.hero__wrapper-links {
  display: flex;
  flex-wrap: wrap;
  gap: clamp(6px, 2vw, 30px);
  margin-top: clamp(24px, 10vh, 64px);
}

.--hero-button {
  padding: clamp(6px, 5vw, 10px) clamp(16px, 5vw, 52px);
  font-family: 'DM Sans', sans-serif;
  font-weight: 700;
  font-size: clamp(1.8rem, 5vw, 2.4rem);
  text-transform: uppercase;
}

.--hero-button-secondary {
  padding: clamp(6px, 5vw, 10px) clamp(16px, 5vw, 24px);
  font-family: 'DM Sans', sans-serif;
  font-weight: 700;
  font-size: clamp(1.8rem, 5vw, 2.4rem);
  text-transform: uppercase;
}

/* Sections */

.--generic-section {
  max-width: 1440px;
  margin: 60px auto auto auto;
  padding: 0px var(--section-padding);
}

.section__wrapper-title {
  max-width: 100%;
  margin: 0 auto;
  overflow: hidden;
}

.section__title {
  font-size: clamp(1.8rem, 5vw, 2.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  color: #000;
}

.section-separator {
  position: relative;
  display: flex;
  align-items: center;
  width: 100px;
  height: 6px;
  margin-top: 12px;
  background-color: var(--primary-color);
}

.section-separator::after {
  content: '';
  position: absolute;
  display: block;
  width: 100vw;
  height: 2px;
  background-color: var(--primary-color);
}

/* Categories */

.wrapper-section-categories {
  width: 100%;
  box-shadow: 0px 4px 5px 0px  rgba(0, 0, 0, .14);
}
.wrapper-section-categories .splide#links {
    margin-top: 20px;
}

.categories {
  padding-bottom: 40px;
}

.categories__list-categories {
	display: flex;
	align-items: center;
	/* justify-content: center; */
	gap: 103px;
	margin: 30px auto auto auto;
	padding: 6px 6px;
	overflow-x: auto;
	overflow-y: hidden;
	scrollbar-width: none;
}

.categories__list-categories::-webkit-scrollbar {
  display: none;
}

.categories__list-categories__card {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  /* min-width: 150px; */
  transition: scale .3s;
  scale: 1;
}

.categories__list-categories__card:hover {
  scale: 1.1;
}

.categories__list-categories__card img {
  max-width: 100%;
  height: 150px;
  object-fit: contain;
}

.categories__list-categories__card h3 {
  font-size: clamp(1.4rem, 5vw, 1.6rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
  color: var(--secondary-color);
}

/* Products - Cards */

.wrapper-section-products {
  width: 100%;
}

.products {
  margin: 40px auto auto auto;
}

.products-list {
  margin-top: 30px;
  height: 460px;
}

.splide__track {
  padding-bottom: 10px !important;
}

.splide__slide--clone {
  opacity: 1 !important;
}

.splide__arrow {
  background-color: #fff !important;
}

.splide__arrow--next {
  right: -1em !important;
}

.splide__arrow--prev {
  left: -1em !important;
}

/* Call To Action */

.wrapper-section-call-to-action {
  display: block;
  width: 100%;
  max-height: 230px;
  min-height: 200px;
  height: 40vh;
  /* background: url('../img/bg-escavadeira.jpg'); */
  background: var(--background-cta);
  background-position: center center;
  background-size: cover;
}

.call-to-action-section {
  display: flex;
  align-items: center;
  height: 100%;
  /* padding: 0 24px; */
}

.call-to-action__wrapper-content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 24px;
  width: 100%;
  margin: 0 auto;
}

.call-to-action__wrapper-text {
  display: flex;
  align-items: center;
  flex: 1;
  flex-basis: content;
}

.call-to-action-section img {
  width: clamp(100px, 5vw, 200px);
  margin-right: -24px;
}

.call-to-action-section h3 {
  font-family: 'DM Sans', sans-serif;
  font-size: clamp(2.4rem, 5vw, 4.5rem);
  font-weight: 900;
  color: #fff;
}

.call-to-action-section h3 span {
  display: block;
  font-size: clamp(1.8rem, 5vw, 2rem);
  font-weight: 400;
}

.--call-button {
  padding: 6px 36px;
  font-size: clamp(1.4rem, 5vw, 1.6rem);
  padding: clamp(6px, 5vw, 10px) clamp(16px, 5vw, 52px);
  font-weight: 600;
  font-family: 'DM Sans', sans-serif;
  color: #fff;
  background-color: transparent;
  border-radius: 8px;
  border: 1.5px solid #fff;
}

/* Link Categories */

.wrapper-link-categories {
  width: 100%;
  background-color: var(--gray300);
  padding: 40px 0px;
}

.link-categories {
  display: block;
  width: 100%;
  margin-top: 0px;
  background-color: var(--gray300);
}

.link-categories__list-categories {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 40px;
  width: 100%;
  margin-top: 40px;
}

.link-categories__list-categories__category-card {
  background: var(--bg-img);
  background-repeat: no-repeat;
  position: relative;
  display: flex;
  flex: 1 1 280px;
  flex-direction: column;
  min-width: 380px;
  max-width: 380px;
  max-height: 455px;
  min-height: 455px;
  padding: 50px 40px 50px 50px;
}

/* .link-categories__list-categories__category-card:nth-child(1) {
  background: url('../img/bg-card-construcao.png');
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}
.link-categories__list-categories__category-card:nth-child(2) {
  background: url('../img/bg-card-maritima.jpg');
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
}
.link-categories__list-categories__category-card:nth-child(3) {
  background: url('../img/bg-card-industrial.png');
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
} */

.link-categories__list-categories__category-card h3 {
  position: sticky;
  font-family: 'Lexend Deca', sans-serif;
  font-size: clamp(1.6rem, 5vw, 3.4rem);
  font-weight: 600;
  color: #fff;
  z-index: 2;
  font-size: 32px;
  pointer-events: none;
}

.link-categories__list-categories__category-card p {
  position: sticky;
  min-height: 70px;
  margin-top: 16px;
  font-family: 'Montserrat', sans-serif;
  font-size: clamp(1.2rem, 5vw, 1.2rem);
  font-weight: 400;
  line-height: 1.6rem;
  color: #fff;
  z-index: 2;
  font-size: 16px;
  pointer-events: none;
}

.--link-category-button {
  position: sticky;
  padding: 10px 24px;
  margin: 36px auto;
  font-size: clamp(1.4rem, 5vw, 1.6rem);
  font-weight: 600;
  font-family: 'DM Sans', sans-serif;
  color: #fff;
  background-color: var(--primary-color);
  z-index: 2;
}

.--link-category-button:hover {
  background-color: var(--secondary-color);
}

.link-categories__list-categories__category-card {
  overflow: hidden;
}

.link-categories__list-categories__category-card video {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  z-index: 1  ;
  pointer-events: none;
}

.link-categories__list-categories__category-card:hover > .card-shadow {
  opacity: 1;
}

.card-shadow {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 1;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s;
}

@media(max-width: 1200px) {
  :root {
    --section-padding: 36px;
  }
}

@media(max-width: 1100px) {
  .products-list {
    height: auto;
  }
}

@media (max-width: 768px) {
  :root {
    --section-padding: 24px;
  }

  /* Hero Section */

  .hero {
      margin-top: 16px;
      background-image: var(--background-mobile, var(--background));
      background-position: center;
      background-size: cover;
      background-repeat: no-repeat;
      height: 50vh;
      min-height: unset;
  }

  .wrapper-hero-content {
    padding: 0px 16px;
  }

  /* Categories */

  .categories__list-categories {
    gap: 45px;
  }

  /* Card */
  .products-list {
    height: auto;
  }

  .card-product {
    max-width: 200px;
    margin: none;
    padding: 12px 12px;
  }

  .card-product:hover {
    border: 1px solid var(--primary-color);
    transition-delay: 0ms;
  }

  .products-list .splide__slide {
    margin: 0 6px !important;
  }

  .splide__pagination {
    bottom: -2em !important;
  }

  .splide__pagination__page.is-active {
    background: var(--primary-color) !important;
  }

  .card-product__wrapper-image {
    max-width: 120px;
    height: 120px;
    margin: 0 auto;
  }

  .card-product h3 {
    font-size: clamp(1.2rem, 5vw, 1.4rem);
  }

  .product-ref {
    font-size: clamp(1.2rem, 5vw, 1.4rem);
  }

  .card-product h4 {
    align-items: center;
    font-size: clamp(1.4rem, 5vw, 2rem);
  }

  .card-product h4 span {
    margin-top: 0px;
  }

  .--card-button {
    /* display: none; */
    padding: 10px clamp(2px, 3vw, 24px);
    font-size: clamp(1.2rem, 5vw, 1.3rem);
    /* max-height: 0px; */
    transition: all 0.2s !important;
  }

  .card-product:hover .--card-button,
  .card-product:focus .--card-button {
    max-height: 50px;
    transition: all 0.2s !important;
  }

  /*  Call to Action */
    .wrapper-section-call-to-action {
        background-image: var(--background-image-mobile, var(--background-cta));
    }
  .call-to-action__wrapper-content {
    width: 90vw;
  }

  /* Link categories */

  .link-categories__list-categories__category-card:nth-child(1) {
      /*background: url('../img/bg-card-construcao.png') no-repeat top center;*/
      background-size: cover;
  }
  .link-categories__list-categories__category-card:nth-child(2) {
      /*background: url('../img/bg-card-maritima.jpg') no-repeat top center;*/
      background-size: cover;
  }
  .link-categories__list-categories__category-card:nth-child(3) {
      /*background: url('../img/bg-card-industrial.png') no-repeat top center;*/
      background-size: cover;
  }

}

@media (max-width: 600px) {
  .products-list .splide__track {
    padding-left: 2rem !important;
    padding-right: 2rem !important;
  }
}

@media (max-width: 400px) {
  .products-list .splide__track {
    padding-left: 2rem !important;
    padding-right: 9rem !important;
  }

  .splide__slide {
    opacity: 1 !important;
    animation: none !important;
  }

  .splide__slide--clone {
    opacity: 1 !important;
  }

    .link-categories__list-categories__category-card {
        /* gap: 80px; */
        min-height: unset;
        min-width: unset;
    }
}

@media (max-width: 350px) {
  .products-list .splide__track {
    padding-left: 2rem !important;
    padding-right: 0rem !important;
  }

}

/* Animate */

/*.animate-reset-position {*/
/*  position: sticky;*/
/*  z-index: 1;*/
/*}*/

/*.animate-initial-state {*/
/*  opacity: 0;*/
/*}*/

/*.animate-fade-in {*/
/*  animation: fade-in 700ms ease-in-out forwards;*/
/*  opacity: 0;*/
/*}*/

/*.--delay600 {*/
/*  animation-delay: 600ms;*/
/*}*/

/*.--delay700 {*/
/*  animation-delay: 700ms;*/
/*}*/

/*.--delay800 {*/
/*  animation-delay: 800ms;*/
/*}*/

/*@keyframes slide-bottom-in {*/
/*  0% {*/
/*    opacity: 0;*/
/*    transform: translateY(100px);*/
/*  }*/

/*  100% {*/
/*    opacity: 1;*/
/*    transform: translateY(0px);*/
/*  }*/
/*}*/

/*@keyframes fade-in {*/
/*  0% {*/
/*    opacity: 0;*/
/*  }*/

/*  100% {*/
/*    opacity: inherit;*/
/*    z-index: 1;*/
/*    animation: fade-in 700ms ease-in-out forwards;*/
/*  }*/
/*}*/

/*@keyframes slide-top-in {*/
/*  0% {*/
/*    opacity: 0;*/
/*    transform: translateY(-100px);*/
/*  }*/

/*  100% {*/
/*    opacity: 1;*/
/*    transform: translateY(0px);*/
/*  }*/
/*}*/

/*@keyframes slide-left-in {*/
/*  0% {*/
/*    opacity: 0;*/
/*    transform: translateX(-100px);*/
/*  }*/

/*  100% {*/
/*    opacity: 1;*/
/*    transform: translateX(0px);*/
/*  }*/
/*}*/

/*@keyframes slide-right-in {*/
/*  0% {*/
/*    opacity: 0;*/
/*    transform: translateX(100px);*/
/*  }*/

/*  100% {*/
/*    opacity: 1;*/
/*    transform: translateX(0px);*/
/*  }*/
/*}*/

/*@keyframes background-fill {*/
/*  0% {*/
/*    background-position: right;*/
/*  }*/

/*  100% {*/
/*    background-position: left;*/
/*  }*/
/*}*/

/*@keyframes trail-list {*/
/*  0% {*/
/*    opacity: 0;*/
/*    transform: translateX(-100vw);*/
/*  }*/

/*  100% {*/
/*    opacity: 1;*/
/*    transform: translateX(0vw);*/
/*  }*/
/*}*/
